// SizeDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Tinter.h"
#include "SizeDlg.h"

#include "Int.h"

#define DIM_MAX 4000

IMPLEMENT_DYNAMIC(CSizeDlg, CDialog)
CSizeDlg::CSizeDlg(CWnd* pParent /*=NULL*/)
: CDialog(CSizeDlg::IDD, pParent)
, m_Width(0)
, m_Height(0)
, m_Prop(1)
{
}

CSizeDlg::~CSizeDlg()
{
}

void CSizeDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_WIDTH, m_Width);
	DDV_MinMaxUInt(pDX, m_Width, 1, DIM_MAX);
	DDX_Text(pDX, IDC_HEIGHT, m_Height);
	DDV_MinMaxUInt(pDX, m_Height, 1, DIM_MAX);
	DDX_Control(pDX, IDCS_WIDTH, c_WidthSpin);
	DDX_Control(pDX, IDCS_HEIGHT, c_HeightSpin);
	DDX_Control(pDX, IDC_KEEPPROP, c_KeepProp);
}

BEGIN_MESSAGE_MAP(CSizeDlg, CDialog)
	ON_EN_CHANGE(IDC_WIDTH, OnEnChangeWidth)
	ON_EN_CHANGE(IDC_HEIGHT, OnEnChangeHeight)
END_MESSAGE_MAP()

BOOL CSizeDlg::OnInitDialog()
{
	CDialog::OnInitDialog();
	c_WidthSpin.SetRange(1, DIM_MAX);
	c_HeightSpin.SetRange(1, DIM_MAX);
	c_KeepProp.SetCheck(1);

	if (m_Height > 0) m_Prop = (float) m_Width / (float) m_Height;

	return TRUE;
}

void CSizeDlg::OnEnChangeWidth()
{
	if (! c_KeepProp.m_hWnd) return;
	if (c_KeepProp.GetCheck() == 1)
	{
		int d = c_WidthSpin.GetPos();
		c_HeightSpin.SetPos(Int((float) d / m_Prop));
	}
}

void CSizeDlg::OnEnChangeHeight()
{
	if (! c_KeepProp.m_hWnd) return;
	if (c_KeepProp.GetCheck() == 1)
	{
		int d = c_HeightSpin.GetPos();
		c_WidthSpin.SetPos(Int((float) d * m_Prop));
	}
}
