// TinterDoc.cpp : implementation of the CTinterDoc class
//
// Part of Tinter.
// Use at your own risk. Comments welcome.
//
// (c) 2003, Sjaak Priester, Amsterdam.
// mailto:sjaak@sjaakpriester.nl

#include "stdafx.h"

#include "TinterDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

// CTinterDoc

IMPLEMENT_DYNCREATE(CTinterDoc, CDocument)

BEGIN_MESSAGE_MAP(CTinterDoc, CDocument)
END_MESSAGE_MAP()

CTinterDoc::CTinterDoc()
: m_bStart(true)
{
}

CTinterDoc::~CTinterDoc()
{
}

// We use the document only for administrative tasks.
// The real opening and saving of picture files is delegated to the View.
// We use MFC's update mechanism to notify the View.

BOOL CTinterDoc::OnOpenDocument(LPCTSTR lpszPathName)
{
	UpdateAllViews(NULL, HINT_OPEN, (CObject *) lpszPathName);
	return TRUE;
}

BOOL CTinterDoc::OnSaveDocument(LPCTSTR lpszPathName)
{
	UpdateAllViews(NULL, HINT_SAVE, (CObject *) lpszPathName);
	return TRUE;
}

BOOL CTinterDoc::OnNewDocument()
{
	CDocument::OnNewDocument();

	// File New is used for the Acquire command.
	// Therefore, calling the view at app start must be avoided.
	if (! m_bStart) UpdateAllViews(NULL, HINT_NEW);
	else m_bStart = false;
	return TRUE;
}
