#include "stdafx.h"
#include "Resource.h"
#include "TinterView.h"

//============================================================
// COptionsDlg dialog

// Currently, there are only two options: JPEG Quality and GIF mode.
// Working with the other possibilities of GDI+ is beyond my programming capabilities.

IMPLEMENT_DYNAMIC(COptionsDlg, CDialog)

COptionsDlg::COptionsDlg(CWnd* pParent)
: CDialog(COptionsDlg::IDD, pParent)
, m_JPEGQuality(75)
, m_GifMode(FALSE)
{
}

COptionsDlg::~COptionsDlg()
{
}

void COptionsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_JPEGQUALITY, c_JPEGQuality);
	DDX_Slider(pDX, IDC_JPEGQUALITY, m_JPEGQuality);
	DDX_Radio(pDX, IDC_WEBSAFE, m_GifMode);
}

BEGIN_MESSAGE_MAP(COptionsDlg, CDialog)
	ON_WM_HSCROLL()
END_MESSAGE_MAP()

BOOL COptionsDlg::OnInitDialog()
{
	CDialog::OnInitDialog();
	c_JPEGQuality.SetRange(0, 100);
	SetDlgItemInt(IDCS_JPEGQUALITY, m_JPEGQuality);
	return TRUE;
}

void COptionsDlg::OnHScroll(UINT /*nSBCode*/, UINT /*nPos*/, CScrollBar* /*pScrollBar*/)
{
	SetDlgItemInt(IDCS_JPEGQUALITY, c_JPEGQuality.GetPos());
}

//==============================================================
// CZoomLevelDlg dialog

IMPLEMENT_DYNAMIC(CZoomLevelDlg, CDialog)

BEGIN_MESSAGE_MAP(CZoomLevelDlg, CDialog)
END_MESSAGE_MAP()

CZoomLevelDlg::CZoomLevelDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CZoomLevelDlg::IDD, pParent)
	, m_ZoomPercentage(0)
{
}

CZoomLevelDlg::~CZoomLevelDlg()
{
}

void CZoomLevelDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_ZOOMEDIT, m_ZoomPercentage);
	DDV_MinMaxInt(pDX, m_ZoomPercentage, 3, 2000);
	DDX_Control(pDX, IDC_ZOOMSPIN, m_ZoomSpin);
}

BOOL CZoomLevelDlg::OnInitDialog()
{
	CDialog::OnInitDialog();
	m_ZoomSpin.SetRange(3, 2000);

	return TRUE;
}

